package com.goafanti.common.model;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class ActivityUser extends ActivityUserKey {
    /**
    * 报名时间
    */
    private Date createTime;

    /**
    * 记录最后更改时间
    */
    private Date lastUpdateTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }
    
    public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.createTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}
    
    public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}
    
    public String getLastUpdateTimeFormattedDate() {
		if (this.lastUpdateTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.lastUpdateTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}
    
    public void setLastUpdateTimeFormattedDate(String lastUpdateTimeFormattedDate) {

	}
}